### Hierarchy

- EntityBoneCollection
  - PedBoneCollection

## Index

### Constructors

- constructor

### Properties

- _collection
- _currentIndex
- owner

### Accessors

- Core

### Methods

- hasBone

## Constructors

### constructor

- new EntityBoneCollection(owner: Entity): EntityBoneCollection

- - Defined in models/EntityBoneCollection.ts:9

  #### Parameters

  - ##### owner: Entity

  #### Returns EntityBoneCollection

## Properties

### Private Readonly _collection

_collection: undefined | Enumerator<EntityBone>

- Defined in models/EntityBoneCollection.ts:6

### Private _currentIndex

_currentIndex: number = -1

- Defined in models/EntityBoneCollection.ts:7

### Protected Readonly owner

owner: Entity

- Defined in models/EntityBoneCollection.ts:4

## Accessors

### Core

- get Core(): EntityBone

- - Defined in models/EntityBoneCollection.ts:17

  #### Returns EntityBone

## Methods

### hasBone

- hasBone(name: string): boolean

- - Defined in models/EntityBoneCollection.ts:13

  #### Parameters

  - ##### name: string

  #### Returns boolean

Generated using TypeDoc